/******************************************************************************
*	File		-	properties_view.h
*	Author		-	Joey Pollack
*	Date		-	2022/01/26 (y/m/d)
*	Mod Date	-	2022/01/26 (y/m/d)
*	Description	-	Displayes the properties and components(?) of the selected
*                   object.
******************************************************************************/

#include "properties_view.h"
#include <dearimgui/imgui.h>
#include <editor/editor.h>

namespace lunarium { namespace editor 
{
    PropertiesView::PropertiesView()
        : Panel("Properties", gui::PanelDockZone::DDZ_RIGHT, true)
    {
        
    }

    bool PropertiesView::DoFrame()
    {
        if (!mIsOpen)
            return false;

        if (!ImGui::Begin(GetName(), &mIsOpen, ImGuiWindowFlags_NoCollapse | ImGuiWindowFlags_NoScrollbar))
        {
            ImGui::End();
            return false;
        }

        ImGui::End();
        return true;
    }


}}